Labels

Labels help you to identify and access files and folders easily across different locations in WorkDrive. You can add labels based on priority, status, task, and much more. Once you add a label to files and folders, you can view all those items under each label. Learn more about Labels here.

Download Labels OpenAPI Document
Download






Get Label

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches the details of a Label.

Endpoints

OAuth Scope

WorkDrive.labels.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/labels/{label_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

label_idstring(Required)

The unique ID of a label

Response Example

R008

200
200
401
Copied!
  {
    "data": {
      "id": "5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002",
      "type": "labels",
      "attributes": {
        "color": "14A765",
        "name": "Training materials",
        "index": 2,
        "team_id": "5nek5a28a8c9201f64a07b7196524264ed528",
        "type": 1,
        "label_id": "181767000000449002"
      },
      "relationships": {
        "files": {
          "links": {
            "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002/relationships/files",
            "related": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002/files"
          }
        }
      },
      "links": {
        "self": "https://www.zohoapis.com/workdrive/api/v1/labels/5nek5a28a8c9201f64a07b7196524264ed528-181767000000449002"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
Show full